OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.SamplePositions

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDSamplePositions :: MonadIO m => m Bool
- gl_AMD_sample_positions :: Bool
- pattern GL_SUBSAMPLE_DISTANCE_AMD :: GLenum
- glSetMultisamplefvAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetAMDSamplePositions :: MonadIO m => m Bool Source #

Is the AMD_sample_positions extension supported?

gl_AMD_sample_positions :: Bool Source #

Is the AMD_sample_positions extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDSamplePositions` in those cases instead.

# Enums

pattern GL_SUBSAMPLE_DISTANCE_AMD :: GLenum Source #

# Functions

glSetMultisamplefvAMD Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `2` elements of type `GLfloat`.
-> m () |